summaryrefslogtreecommitdiffstats
path: root/utils/restart_db.sh
diff options
context:
space:
mode:
authorLeo Wang <grakiss.wanglei@huawei.com>2017-03-22 21:40:58 -0400
committerLeo Wang <grakiss.wanglei@huawei.com>2017-03-24 21:19:01 -0400
commit02d44a030687100d0ebf68d1645536536d42cbb9 (patch)
treeea9d6a1753823507939e760cda89b0bfd86bd3bd /utils/restart_db.sh
parentc731b93e24dca7641b174ee860f14beedc4de442 (diff)
Launch a local TESTAPI DB instance
JIRA: DOVETAIL-374 User may want to dry run the test, and does not intend to upload test results to OPNFV DB. So dovetail provide a way to launch a local TESTAPI DB instance, then user can upload test results to this local db, and browse test results locally. Change-Id: I17b6153c9a308bd3cd59a2450c415200496cb855 Signed-off-by: Leo Wang <grakiss.wanglei@huawei.com>
Diffstat (limited to 'utils/restart_db.sh')
-rwxr-xr-xutils/restart_db.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/utils/restart_db.sh b/utils/restart_db.sh
new file mode 100755
index 00000000..39b60e05
--- /dev/null
+++ b/utils/restart_db.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+
+if [ "$#" -ne 1 ]; then
+ echo "Error: missing parameter! try again like this:"
+ echo ""
+ echo "./restart_db.sh 192.168.115.2"
+ echo ""
+ echo "parameters:"
+ echo " db_host_ip: your localhost ip address"
+ echo ""
+ exit 1
+fi
+
+export mongodb_port=${mongodb_port:-"27017"}
+export testapi_port=${testapi_port:-"8000"}
+export db_host_ip=${db_host_ip:-"$1"}
+
+sudo docker rm -f testapi
+sudo docker run -itd -p $testapi_port:8000 --name testapi \
+ -e mongodb_url=mongodb://$db_host_ip:$mongodb_port/ kkltcjk/testapi:reporting